MCP Tools Reference: paydeveloper.googleapis.com

Instrument: list_pass_issuers

Preia o listă completă a tuturor emitenților de permise înregistrați în consola de afaceri Google Wallet, asociați cu utilizatorul autentificat. Acest instrument oferă informații esențiale pentru dezvoltatorii care gestionează permise Wallet, cum ar fi carduri de fidelitate, carduri cadou sau zboruri.

The following sample demonstrate how to use curl to invoke the list_pass_issuers MCP tool.

Cerere de bucle
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_pass_issuers",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Schema de intrare

Request message for listing pass issuers that are shared with the authenticated user.

Schema de ieșire

Response message for listing pass issuers that are shared with the authenticated user.

List PassIssuersResponse

Reprezentare JSON
{
  "passIssuers": [
    {
      object (PassIssuer)
    }
  ]
}
Câmpuri
passIssuers[]

object ( PassIssuer )

The basic information of the pass issuers that is shared to the user.

Emitentul permisului

Reprezentare JSON
{
  "issuerId": string,
  "displayName": string
}
Câmpuri
issuerId

string ( int64 format)

Optional. The unique identifier of the pass issuer.

displayName

string

Opțional. Numele afișat al emitentului permisului.

Adnotări ale instrumentelor

Indiciu distructiv: ❌ | Indiciu idempotent: ✅ | Indiciu doar pentru citire: ✅ | Indiciu pentru lumea deschisă: ❌